Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Interface SigarProxy

All Known Implementing Classes:
  Sigar

public interface SigarProxy

The proxyable interface for caching via SigarProxyCache. This interface includes all methods which leave java land and gather info from the system. All other accessors, such as the objects returned by these methods do not leave java land.

Method Summary
`Cpu` | `getCpu()`
`CpuInfo[]` | `getCpuInfoList()`
`Cpu[]` | `getCpuList()`
`CpuPerc` | `getCpuPerc()`
`CpuPerc[]` | `getCpuPercList()`
`DirStat` | `getDirStat(java.lang.String name)`
`DirUsage` | `getDirUsage(java.lang.String name)`
`DiskUsage` | `getDiskUsage(java.lang.String name)`
`FileInfo` | `getFileInfo(java.lang.String name)`
`FileSystem[]` | `getFileSystemList()`
`FileSystemMap` | `getFileSystemMap()`
`FileSystemUsage` | `getFileSystemUsage(java.lang.String name)`
`java.lang.String` | `getFQDN()`
`FileInfo` | `getLinkInfo(java.lang.String name)`
`double[]` | `getLoadAverage()`
`Mem` | `getMem()`
`FileSystemUsage` | `getMountedFileSystemUsage(java.lang.String name)`
`MultiProcCpu` | `getMultiProcCpu(java.lang.String query)`
`ProcMem` | `getMultiProcMem(java.lang.String query)`
`NetConnection[]` | `getNetConnectionList(int flags)`
`NetInfo` | `getNetInfo()`
`NetInterfaceConfig` | `getNetInterfaceConfig()`
`NetInterfaceConfig` | `getNetInterfaceConfig(java.lang.String name)`
`java.lang.String[]` | `getNetInterfaceList()`
`NetInterfaceStat` | `getNetInterfaceStat(java.lang.String name)`
`java.lang.String` | `getNetListenAddress(long port)`
`java.lang.String` | `getNetListenAddress(java.lang.String port)`
`NetRoute[]` | `getNetRouteList()`
`NetStat` | `getNetStat()`
`NfsClientV2` | `getNfsClientV2()`
`NfsClientV3` | `getNfsClientV3()`
`NfsServerV2` | `getNfsServerV2()`
`NfsServerV3` | `getNfsServerV3()`
`long` | `getPid()`
`java.lang.String[]` | `getProcArgs(long pid)`
`java.lang.String[]` | `getProcArgs(java.lang.String pid)`
`ProcCpu` | `getProcCpu(long pid)`
`ProcCpu` | `getProcCpu(java.lang.String pid)`
`ProcCred` | `getProcCred(long pid)`
`ProcCred` | `getProcCred(java.lang.String pid)`
`ProcCredName` | `getProcCredName(long pid)`
`ProcCredName` | `getProcCredName(java.lang.String pid)`
`java.util.Map` | `getProcEnv(long pid)`
`java.lang.String` | `getProcEnv(long pid, java.lang.String key)`
`java.util.Map` | `getProcEnv(java.lang.String pid)`
`java.lang.String` | `getProcEnv(java.lang.String pid, java.lang.String key)`
`ProcExe` | `getProcExe(long pid)`
`ProcExe` | `getProcExe(java.lang.String pid)`
`ProcFd` | `getProcFd(long pid)`
`ProcFd` | `getProcFd(java.lang.String pid)`
`long[]` | `getProcList()`
`ProcMem` | `getProcMem(long pid)`
`ProcMem` | `getProcMem(java.lang.String pid)`
`java.util.List` | `getProcModules(long pid)`
`java.util.List` | `getProcModules(java.lang.String pid)`
`long` | `getProcPort(int protocol, long port)`
`long` | `getProcPort(java.lang.String protocol, java.lang.String port)`
`ProcStat` | `getProcStat()`
`ProcState` | `getProcState(long pid)`
`ProcState` | `getProcState(java.lang.String pid)`
`ProcTime` | `getProcTime(long pid)`
`ProcTime` | `getProcTime(java.lang.String pid)`
`ResourceLimit` | `getResourceLimit()`
`long` | `getServicePid(java.lang.String name)`
`Swap` | `getSwap()`
`Tcp` | `getTcp()`
`Uptime` | `getUptime()`
`Who[]` | `getWhoList()`

Method Detail

### getPid

    public long getPid()

### getServicePid

    public long getServicePid(java.lang.String name)
                       throws SigarException

  Throws:
    `SigarException`

### getMem

    public Mem getMem()
               throws SigarException

  Throws:
    `SigarException`

### getSwap

    public Swap getSwap()
                 throws SigarException

  Throws:
    `SigarException`

### getCpu

    public Cpu getCpu()
               throws SigarException

  Throws:
    `SigarException`

### getCpuPerc

    public CpuPerc getCpuPerc()
                       throws SigarException

  Throws:
    `SigarException`

### getUptime

    public Uptime getUptime()
                     throws SigarException

  Throws:
    `SigarException`

### getResourceLimit

    public ResourceLimit getResourceLimit()
                                   throws SigarException

  Throws:
    `SigarException`

### getLoadAverage

    public double[] getLoadAverage()
                            throws SigarException

  Throws:
    `SigarException`

### getProcList

    public long[] getProcList()
                       throws SigarException

  Throws:
    `SigarException`

### getProcStat

    public ProcStat getProcStat()
                         throws SigarException

  Throws:
    `SigarException`

### getProcMem

    public ProcMem getProcMem(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcMem

    public ProcMem getProcMem(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getMultiProcMem

    public ProcMem getMultiProcMem(java.lang.String query)
                            throws SigarException

  Throws:
    `SigarException`

### getProcState

    public ProcState getProcState(long pid)
                           throws SigarException

  Throws:
    `SigarException`

### getProcState

    public ProcState getProcState(java.lang.String pid)
                           throws SigarException

  Throws:
    `SigarException`

### getProcTime

    public ProcTime getProcTime(long pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcTime

    public ProcTime getProcTime(java.lang.String pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCpu

    public ProcCpu getProcCpu(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcCpu

    public ProcCpu getProcCpu(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getMultiProcCpu

    public MultiProcCpu getMultiProcCpu(java.lang.String query)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcCred

    public ProcCred getProcCred(long pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCred

    public ProcCred getProcCred(java.lang.String pid)
                         throws SigarException

  Throws:
    `SigarException`

### getProcCredName

    public ProcCredName getProcCredName(long pid)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcCredName

    public ProcCredName getProcCredName(java.lang.String pid)
                                 throws SigarException

  Throws:
    `SigarException`

### getProcFd

    public ProcFd getProcFd(long pid)
                     throws SigarException

  Throws:
    `SigarException`

### getProcFd

    public ProcFd getProcFd(java.lang.String pid)
                     throws SigarException

  Throws:
    `SigarException`

### getProcExe

    public ProcExe getProcExe(long pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcExe

    public ProcExe getProcExe(java.lang.String pid)
                       throws SigarException

  Throws:
    `SigarException`

### getProcArgs

    public java.lang.String[] getProcArgs(long pid)
                                   throws SigarException

  Throws:
    `SigarException`

### getProcArgs

    public java.lang.String[] getProcArgs(java.lang.String pid)
                                   throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    public java.util.Map getProcEnv(long pid)
                             throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    public java.util.Map getProcEnv(java.lang.String pid)
                             throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    public java.lang.String getProcEnv(long pid,
                                       java.lang.String key)
                                throws SigarException

  Throws:
    `SigarException`

### getProcEnv

    public java.lang.String getProcEnv(java.lang.String pid,
                                       java.lang.String key)
                                throws SigarException

  Throws:
    `SigarException`

### getProcModules

    public java.util.List getProcModules(long pid)
                                  throws SigarException

  Throws:
    `SigarException`

### getProcModules

    public java.util.List getProcModules(java.lang.String pid)
                                  throws SigarException

  Throws:
    `SigarException`

### getProcPort

    public long getProcPort(int protocol,
                            long port)
                     throws SigarException

  Throws:
    `SigarException`

### getProcPort

    public long getProcPort(java.lang.String protocol,
                            java.lang.String port)
                     throws SigarException

  Throws:
    `SigarException`

### getFileSystemList

    public FileSystem[] getFileSystemList()
                                   throws SigarException

  Throws:
    `SigarException`

### getFileSystemMap

    public FileSystemMap getFileSystemMap()
                                   throws SigarException

  Throws:
    `SigarException`

### getMountedFileSystemUsage

    public FileSystemUsage getMountedFileSystemUsage(java.lang.String name)
                                              throws SigarException

  Throws:
    `SigarException`

### getFileSystemUsage

    public FileSystemUsage getFileSystemUsage(java.lang.String name)
                                       throws SigarException

  Throws:
    `SigarException`

### getDiskUsage

    public DiskUsage getDiskUsage(java.lang.String name)
                           throws SigarException

  Throws:
    `SigarException`

### getFileInfo

    public FileInfo getFileInfo(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getLinkInfo

    public FileInfo getLinkInfo(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getDirStat

    public DirStat getDirStat(java.lang.String name)
                       throws SigarException

  Throws:
    `SigarException`

### getDirUsage

    public DirUsage getDirUsage(java.lang.String name)
                         throws SigarException

  Throws:
    `SigarException`

### getCpuInfoList

    public CpuInfo[] getCpuInfoList()
                             throws SigarException

  Throws:
    `SigarException`

### getCpuList

    public Cpu[] getCpuList()
                     throws SigarException

  Throws:
    `SigarException`

### getCpuPercList

    public CpuPerc[] getCpuPercList()
                             throws SigarException

  Throws:
    `SigarException`

### getNetRouteList

    public NetRoute[] getNetRouteList()
                               throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceConfig

    public NetInterfaceConfig getNetInterfaceConfig(java.lang.String name)
                                             throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceConfig

    public NetInterfaceConfig getNetInterfaceConfig()
                                             throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceStat

    public NetInterfaceStat getNetInterfaceStat(java.lang.String name)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetInterfaceList

    public java.lang.String[] getNetInterfaceList()
                                           throws SigarException

  Throws:
    `SigarException`

### getNetConnectionList

    public NetConnection[] getNetConnectionList(int flags)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetListenAddress

    public java.lang.String getNetListenAddress(long port)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetListenAddress

    public java.lang.String getNetListenAddress(java.lang.String port)
                                         throws SigarException

  Throws:
    `SigarException`

### getNetStat

    public NetStat getNetStat()
                       throws SigarException

  Throws:
    `SigarException`

### getWhoList

    public Who[] getWhoList()
                     throws SigarException

  Throws:
    `SigarException`

### getTcp

    public Tcp getTcp()
               throws SigarException

  Throws:
    `SigarException`

### getNfsClientV2

    public NfsClientV2 getNfsClientV2()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsServerV2

    public NfsServerV2 getNfsServerV2()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsClientV3

    public NfsClientV3 getNfsClientV3()
                               throws SigarException

  Throws:
    `SigarException`

### getNfsServerV3

    public NfsServerV3 getNfsServerV3()
                               throws SigarException

  Throws:
    `SigarException`

### getNetInfo

    public NetInfo getNetInfo()
                       throws SigarException

  Throws:
    `SigarException`

### getFQDN

    public java.lang.String getFQDN()
                             throws SigarException

  Throws:
    `SigarException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.